- Fluid Reference Documentation
- Fluid 1.0.0

# ColumnFlow QML Type

Automatically position children in columns. More...

Import Statement: | import Fluid.Layouts 1.0

- List of all members, including inherited members

## Properties

- columnWidth : int
- columns : int
- contentHeight : int
- delegate : Component
- model : any
- repeaterCompleted : bool

## Methods

- void reEvalColumns()
- void updateWidths()

## Detailed Description

      import QtQuick 2.10
      import Fluid.Layouts 1.0 as FluidLayouts

      Item {
          width: 600
          height: 600

          FluidLayouts.ColumnFlow {
              anchors.fill: parent
              columns: 5
              model: 20

              delegate: Rectangle {
                  id: item
                  height: 100.0 * Math.random()
                  color: Qt.rgba(Math.random(), Math.random(), Math.random(), Math.random())
                  Text {
                      text: index
                  }
              }
          }
      }

## Property Documentation

columnWidth : int

Column width. This property is `100` by default.

columns : int

Number of columns. By default it fits as many columns as possible.

contentHeight : int

Content height.

delegate : Component

The delegate provides a template defining each item istantiated by the column flow.

See also Repeater::delegate.

model : any

The model providing data to the column flow.

This property can be set to any of the supported data models.

See also Repeater::model.

[read-only] repeaterCompleted : bool

This property holds whether the layout is done.

## Method Documentation

void reEvalColumns()

Relayout the columns.

void updateWidths()

Set the width of all delegates.